Previous 1 2 3 4 Next 50 Replies Latest reply: Mar 31, 2008 12:51 PM by stan_smits Go to original post
  • pkanzow Level 1 (0 points)
    HP has just released the new drivers for their HP CLJ 2840: LJMFP28x0OSX10.5Update-v8.2.dmg (79 MB) - Full 10.5 suppot !!!
  • dhark01 Level 1 (0 points)
    Hi there!

    Just to let everybody know when you're having trouble installing the driver over tcpip and not via usb.

    1. Install the old 8.1 and 8.1.1(Patch) Drivers (as already stated from another members post)
    2. Install the new Drivers Update (8.2).
    3. Reset the printer to factory defaults.
    4. Repair permissions via Disk Utility or Cocktail and reboot .
    (I don't know if this is really necessary,but I did it anyway;-)
    5. Reset the IP via Webinterface (Safari / Bonjour)
    6. Start the HP Setup Assistant and go through the necessary steps.

    Then you should have a perfectly running printer with scan,fax and print functionality!

    Kind regards,

  • stan_smits Level 1 (0 points)
    Just installed the driver for a networked 2840 on a 10.5.2 machine by only using the update 8.2 package (on a machine without any previous installs). Install went smooth without requiring 8.1 to be pre-installed.

    The only problem I observed is that the printer "jitters" a bit in the bonjour list in Safari (sometimes it is there, sometimes not).
  • Julianinhawaii Level 1 (0 points)
    I checked as of this morning, March 26, 2008 @10:00 am Hawaii Time, and HP did release an updated driver for the HP Laser Jet 2840. Once you install this new driver, users should have scanning, printing and fax capabilities in the new Leopard Operating System.

    The driver appears to have been release on March 17, 2008.
  • Mark Levesley1 Level 1 (25 points)
    Yes it's there and it does work. Hooray! Although it's quite unbelievable that HP Support emailed me on 21st March saying "HP is currently in the process of developing software that will allow you to scan with the HP Color LaserJet 2840 in Mac OS 10.5. blah blah blah" when they in fact had posted a new driver on 17th March. It doesn't exactly fill you with confidence does it.
  • stan_smits Level 1 (0 points)
    When trying to adjust settings in the detailed information pane of the print command for the new 8.2 drivers an option hpPostScriptPDE is striked through. Checking the console file I find the follwowing error message indicating a mismatch in version numbers between hpPostScriptPDE and HPSmartPrint.framework. Do others see this problem as well?

    29/3/08 10:58:04 Preview[4446] Error loading /Library/Printers/hp/PDEs/hpPostScriptPDE.plugin/Contents/MacOS/hpPostScriptPDE :
    dlopen(/Library/Printers/hp/PDEs/hpPostScriptPDE.plugin/Contents/MacOS/hpPostScr iptPDE, 265): Library not loaded: /Library/Frameworks/HPSmartPrint.framework/Versions/A/HPSmartPrint Referenced from:
    Reason: Incompatible library version: hpPostScriptPDE requires version 4.0.0 or later, but HPSmartPrint provides version 3.4.0
Previous 1 2 3 4 Next